<?php

namespace App\Http\Requests\Admin\AdminManagement;

use Illuminate\Foundation\Http\FormRequest;

class AdminManagementDestroyRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return $this->user()->can('delete', $this->route('admin'));
    }

    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
    {
        return [
            // Destroy işlemi için özel validasyon kuralları
        ];
    }
}
